
#ifdef _WIN32
#define WIN32_LEAN_AND_MEAN
#include <windows.h>
#define DLOPEN(lib) LoadLibrary(lib)
#define DLSYM(lib,sym)  GetProcAddress(lib,sym)
#define DLCLOSE(lib) FreeLibrary(lib)
#define EXPORT __declspec(dllexport)
#else
#include <dlfcn.h>
#define DLOPEN(lib) dlopen(lib,RTLD_LAZY)
#define DLSYM(lib,sym)  dlsym(lib,sym)
#define DLCLOSE(lib) dlclose(lib)
#define HMODULE void*
#define EXPORT extern
#define _snprintf snprintf
#endif
/* ==================================================== */
#include <stdlib.h>
#include <stdio.h>
/* ==================================================== */
#include "lua.h"
/* ==================================================== */
EXPORT void lua_loadlibopen( lua_State *L );
/* ==================================================== */
